# ReadOnlyRefundPaymentPlan

## Retrieve refund payment plan

> Retrieve a specific refund payment plan by ID

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"ReadOnlyRefundPaymentPlan":{"type":"object","allOf":[{"$ref":"#/components/schemas/StarterModel"}],"properties":{"pk":{"type":"integer","readOnly":true},"cancellation_plan":{"type":"integer","description":"ID of the associated cancellation plan"},"transaction_type":{"$ref":"#/components/schemas/PaymentType"},"refund_amount":{"type":"number","format":"decimal","description":"Total refund amount for the payment plan"},"retry_count":{"type":"integer","description":"Number of retry attempts for the payment plan"},"status":{"$ref":"#/components/schemas/RefundPaymentPlanStatus"}}},"StarterModel":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"The date and time when the object was created."},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the object was last modified."}}},"PaymentType":{"type":"object","enum":["credit_card","funds_transfer","pay_on_delivery","bkm_express","loyalty_money","cash_register","gpay","redirection","stored_card","masterpass","masterpass_rest","credit_payment","saved_card","pay_later","confirmation","b2b","wallet"],"description":"Status of the payment type."},"RefundPaymentPlanStatus":{"type":"string","enum":["pending","completed","failed"],"description":"Status of the refund payment plan"}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/readonly_refund_payment_plans/{id}/":{"get":{"summary":"Retrieve refund payment plan","description":"Retrieve a specific refund payment plan by ID","tags":["ReadOnlyRefundPaymentPlan"],"parameters":[{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"A single refund payment plan","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadOnlyRefundPaymentPlan"}}}},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## List refund payment plans

> List all refund payment plans

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Indicates the number of rows on the current page.","schema":{"type":"integer","minimum":1,"default":10}},"id":{"name":"id","in":"query","required":false,"description":"Filters by id","schema":{"type":"integer"}},"created_date":{"name":"created_date","in":"query","required":false,"description":"Filter by creation date using supported lookup expressions (e.g., `gt`, `gte`, `lt`, `lte`, `date__gt`, etc.).","schema":{"type":"string","format":"date-time"}},"modified_date":{"name":"modified_date","in":"query","required":false,"description":"Filter by modification date using supported lookup expressions (e.g., `gt`, `gte`, `lt`, `lte`, `date__gt`, etc.).","schema":{"type":"string","format":"date-time"}},"pk":{"name":"pk","in":"query","required":false,"description":"Filters by primary key","schema":{"type":"integer"}},"pk__gt":{"name":"pk__gt","in":"query","description":"Filter by primary key greater than a specific value.","schema":{"type":"string"}},"pk__gte":{"name":"pk__gte","in":"query","required":false,"description":"Filters by primary key greater than or equal to the given value","schema":{"type":"integer"}},"pk__lt":{"name":"pk__lt","in":"query","required":false,"description":"Filters by primary key less than the given value","schema":{"type":"integer"}},"pk__lte":{"name":"pk__lte","in":"query","required":false,"description":"Filters by primary key less than or equal to the given value","schema":{"type":"integer"}},"cancellation_plan_id":{"name":"cancellation_plan_id","in":"query","required":false,"schema":{"type":"integer"},"description":"Cancellation Plan ID"},"transaction_type__payment_type":{"name":"transaction_type","in":"query","required":false,"description":"Filter by Payment Type.","schema":{"$ref":"#/components/schemas/PaymentType"}},"refund_payment_plan_status":{"name":"status","in":"query","required":false,"schema":{"$ref":"#/components/schemas/RefundPaymentPlanStatus"},"description":"Status of related refund payment plan"}},"schemas":{"PaymentType":{"type":"object","enum":["credit_card","funds_transfer","pay_on_delivery","bkm_express","loyalty_money","cash_register","gpay","redirection","stored_card","masterpass","masterpass_rest","credit_payment","saved_card","pay_later","confirmation","b2b","wallet"],"description":"Status of the payment type."},"RefundPaymentPlanStatus":{"type":"string","enum":["pending","completed","failed"],"description":"Status of the refund payment plan"},"ReadOnlyRefundPaymentPlan":{"type":"object","allOf":[{"$ref":"#/components/schemas/StarterModel"}],"properties":{"pk":{"type":"integer","readOnly":true},"cancellation_plan":{"type":"integer","description":"ID of the associated cancellation plan"},"transaction_type":{"$ref":"#/components/schemas/PaymentType"},"refund_amount":{"type":"number","format":"decimal","description":"Total refund amount for the payment plan"},"retry_count":{"type":"integer","description":"Number of retry attempts for the payment plan"},"status":{"$ref":"#/components/schemas/RefundPaymentPlanStatus"}}},"StarterModel":{"type":"object","properties":{"created_date":{"type":"string","format":"date-time","readOnly":true,"description":"The date and time when the object was created."},"modified_date":{"type":"string","format":"date-time","description":"The date and time when the object was last modified."}}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/readonly_refund_payment_plans/":{"get":{"summary":"List refund payment plans","description":"List all refund payment plans","tags":["ReadOnlyRefundPaymentPlan"],"parameters":[{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/id"},{"$ref":"#/components/parameters/created_date"},{"$ref":"#/components/parameters/modified_date"},{"$ref":"#/components/parameters/pk"},{"$ref":"#/components/parameters/pk__gt"},{"$ref":"#/components/parameters/pk__gte"},{"$ref":"#/components/parameters/pk__lt"},{"$ref":"#/components/parameters/pk__lte"},{"$ref":"#/components/parameters/cancellation_plan_id"},{"$ref":"#/components/parameters/transaction_type__payment_type"},{"$ref":"#/components/parameters/refund_payment_plan_status"}],"responses":{"200":{"description":"A list of refund payment plans","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReadOnlyRefundPaymentPlan"}}}}},"401":{"$ref":"#/components/responses/401"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.akinon.com/omnitron-openapis/readonlyrefundpaymentplan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
